# external dependencies
require 'neography'
require 'sequel'
require 'optparse'
require 'set'

#
$:.unshift File.dirname(__FILE__)

# Utils
require 'graph2relational/util-commandline-parser'

# Neo4J require
require 'graph2relational/neo4j-database'
require 'graph2relational/neo4j-connection'

# RDBMS require
require 'graph2relational/rdbms'
require 'graph2relational/rdbms-database'
require 'graph2relational/rdbms-connection'
require 'graph2relational/rdbms-table'
require 'graph2relational/rdbms-join-table'
require 'graph2relational/rdbms-column'

# Sequel extensions
Sequel.extension :inflector
